Subject: Re: [PATCH 00/11] More preparatory work for multiparent tree-walker

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Feb 2014 09:25:51 -0800

Junio C Hamano <[email-masked]> writes:

> Kirill Smelkov <[email-masked]> writes:
>
>> Sorry for the confusion. Could you please do the following:
>>
>> Patches should be applied over to ks/tree-diff-walk
>> (74aa4a18). Before applying the patches, please cherry-pick
>>
>>     c90483d9    (tree-diff: no need to manually verify that there is no
>>                  mode change for a path)
>>
>>     ef4f0928    (tree-diff: no need to pass match to
>>                  skip_uninteresting())
>>
>> into that branch, and drop them from ks/combine-diff - we'll have one
>> branch reworking the diff tree-walker, and the other taking advantage of
>> it for combine-diff.
>
> As long as that does not lose changes to tests and clean-ups, I'm
> fine with that direction.  For example, I do not know if you want to
> lose e3f62d12 (diffcore-order: export generic ordering interface,
> 2014-01-20), which is part of the combine-diff topic.

Ahh, sorry, I misread the "drop" as "salvage these two and drop the
rest".  The new series does apply cleanly on a commit in master..pu
that has both ks/tree-diff-walk and ks/combine-diff, and the latter
is not yet in 'next' so we are free to reorganize.

Let me flip the latter topic around, also queue these updates and
push the result out on 'pu'.

Thanks.